lpstat(1)

NAZWA
lpstat - wypisuje informację o stanie usług drukowania LP

SKŁADNIA

lpstat
    [-d] [-r] [-R] [-s] [-t] [-a [lista]] [-c [lista]]
    [-f [lista] [-l]] [-o [lista]] [-S [lista] [-l]]
    [-p [lista] [-D] [-l]] [-P] [-u [lista-login-ID]]
    [-v [lista]] [lista]

OPIS
Uwaga! To tłumaczenie może być nieaktualne!

Polecenie lpstat wypisuje informacje o bieżącym stanie usługi druku LP. Zaimplementowano je jako interfejs do programu lpq(1) z LPRng, i nie posiada ono pełnej funkcjonalności zwykłego programu lpstat.

Jeżeli nie podano żadnych opcji, to lpstat wypisuje stan wszystkich żądań druku należących do danego użytkownika i utworzonych przez lp na domyślnej drukarce. (zobacz lp(1) i lpr(1)). Argumenty nie będące opcjami przyjmowane są za identyfikatory żądań (request-ID, takie jak zwracane przez lp) lub za nazwy drukarek. Polecenie lpstat wypisuje stan takich żądań. Opcje mogą pojawiać się w dowolnej kolejności i mogą być powtarzane lub mieszane z innymi argumentami. Po niektórych z niżej wymienionych liter kluczowych może występować opcjonalna lista, przybierająca jedną z dwu postaci:

    lista pozycji oddzielonych od siebie przecinkiem,

    ujęta w cudzysłowy lista pozycji rozdzielonych odstępami.

Na przykład:

    przyklad% lpstat -u "user1 user2 user3"

Podanie słowa all po dowolnej z liter kluczowych przyjmujących jako argument listę powoduje, że zostanie wypisana całość informacji odpowiedniej dla tej litery. Na przykład, polecenie:

    przyklad% lpstat -o all

wypisuje stan wszystkich żądań wydruku.

Pominięcie listy występujących po takich literach kluczowych powoduje, że zostanie wypisana całość informacji odpowiedniej dla danej litery. Na przykład, polecenie:

    przyklad% lpstat -o

wypisuje stan wszystkich żądań wydruku.

OPCJE
Obsługiwane są następujące opcje:

-a [lista]
    Zgłasza drukarki docelowe przyjmują żądania. lista jest listą nazw drukarek.

-c [lista]
    Wypisuje nazwy wszystkich klas i ich członków. lista jest listą nazw klas. (Ten sam efekt co -o.)

-d  Wypisuje domyślne systemowe miejsce przeznaczenia dla żądań wydruku.

-f [lista] [-l]
    Wypisuje listę drukarek obsługujących podane formularze. Ta opcja jest ignorowana.

-o [lista]
    Wypisuje stan żądań wydruku: lista jest listą mieszaną, zawierającą nazwy drukarek, klas i identyfikatorów żądań. Literę kluczową -o można pominąć.

-p [list]
    Wypisuje stan drukarek. lista jest listą nazw drukarek. (Ten sam efekt co -o.)

-P  Wypisuje rodzaje papieru. Ignorowane.

-r  Wypisuje stan programu planowania żądań LP .

-R  Wypisuje liczbę pokazującą pozycję w kolejce druku każdego z zadań. Ignorowane.

-s  Wypisuje podsumowanie stanu. Tworzy krótkie zestawienie stanu.

-S [lista] [-l]
    Wykazuje lub weryfikuje zestawy znaków dla drukarek. Ignorowane.

-t  Wypisuje całość informacji o stanie.

-u [lista-login-ID]
    Wypisuje stan żądań wydruku dla użytkowników o zadanych identyfikatorach. (Ten sam efekt co -o.)

-v [lista]
    Wypisuje nazwy ścieżkowe urządzeń wyjściowych. Ignorowane.

ŚRODOWISKO
W podręczniku environ(5) znajdziesz opis poniższych zmiennych środowiska, wpływających na działanie lpstat:

LPDEST
    Określa kolejkę druku. Jeżeli zmienna LPDEST nie jest ustawiona, to zastosowana zostanie zmienna PRINTER. Opcja -P dest ma pierwszeństwo nad LPDEST. Jeżeli nie podano -P a LPDEST zawiera wartość nie będącą poprawnym urządzeniem lub nazwą określającą miejsce przeznaczenia, to wyniki będą niezdefiniowane.

PRINTER
    Określa urządzenie wyjściowe lub miejsce przeznaczenia. Jeżeli nie ustawiono LPDEST ani PRINTER, to stosowane jest nieokreślone urządzenie wyjściowe. Opcja -P dest i zmienna środowiska LPDEST mają pierwszeństwo nad PRINTER. Jeżeli nie podano -P, LPDEST nie jest ustawione, zaś PRINTER zawiera wartość nie będącą poprawnym urządzeniem lub nazwą określającą miejsce przeznaczenia, to wyniki będą niezdefiniowane.

KOD ZAKOŃCZENIA
lpstat zwraca poniższe kody zakończenia:

0   Wykonanie pomyślne.

>0  Wystąpił błąd.

ZOBACZ TAKŻE
lpd.conf(5), lpc(8), lpd(8), lpr(1), lpq(1), lprm(1), printcap(5), lpd.perms(5), pr(1).

DIAGNOSTYKA
Większość komunikatów diagnostycznych jest oczywista. Jeśli dokładny powód niepowodzenia pozostaje niejasny, należy włączyć poziom debugowania (-D5) i uruchomić ponownie. Informacja diagnostyczna pomoże uchwycić dokładną przyczynę.

HISTORIA
LPRng jest rozszerzonym systemem buforowania wydruku o funkcjonalności podobnej do oprogramowania Berkeley LPR. Listą dyskusyjną o LPRng jest lprng@lprng.com; subskrypcja przez wysłanie listu do lprng-request@lprng.com ze słowem `subscribe` w treści. Oprogramowanie to jest dostępne z ftp://ftp.astart.com/pub/LPRng.

AUTOR
Patrick Powell <papowell@astart.com>.

INFORMACJE O TŁUMACZENIU
Powyższe tłumaczenie pochodzi z nieistniejącego już Projektu Tłumaczenia Manuali i może nie być aktualne. W razie zauważenia różnic między powyższym opisem a rzeczywistym zachowaniem opisywanego programu lub funkcji, prosimy o zapoznanie się z oryginalną (angielską) wersją strony podręcznika za pomocą polecenia:

    man --locale=C 1 lpstat

Prosimy o pomoc w aktualizacji stron man - więcej informacji można znaleźć pod adresem http://sourceforge.net/projects/manpages-pl/.